#pragma once

#include "MAXProxies.hpp"
#include <Proxies\CleanHierarchy.hpp>

namespace MAXProxies {

	class MAXCleanHierarchyProcess:
		public Proxies::CleanHierarchyProcess
	{
	public:
		MAXCleanHierarchyProcess(bool bSuppress=true):
			CleanHierarchyProcess(NULL,bSuppress,NULL),
			iPointer(NULL),
			progress(0)
			{}

		MAXCleanHierarchyProcess(
			Stuff::NotationFile *data_file, 
			Interface *i, 
			int p, 
			bool bSuppress = true,
			LPVOID fcn = NULL
		);

		void
			CleanHierarchyCallback(Proxies::GenericProxy* proxy);

		Interface 
			*iPointer;
		int  
			progress;
	};

}
